## pyrite-0.9.3.tar.gz

=== Sulfur/Makefile ===
# Generated automatically from Makefile.in by configure.

DESTDIR =

MODULE_PATH = $(DESTDIR)/usr/lib/python1.5/site-packages
MODULE_DIR = $(MODULE_PATH)/Sulfur

INSTALL = /usr/bin/install -c

INSTALL_DIRS = Application GUI GUI/tk_support

all:
	@true

install:
	$(INSTALL) -m 755 -d $(MODULE_DIR)
	for i in $(INSTALL_DIRS) ; do \
	    if [ ! -d $(MODULE_DIR)/$$i ]; then \
	        $(INSTALL) -m 755 -d $(MODULE_DIR)/$$i ; \
	    fi ; \
	done ;
	for i in `find . -name '*.py' -print` ; do \
	    $(INSTALL) -m 644 $$i $(MODULE_DIR)/$$i ; \
	done ;

uninstall:
	rm -rf $(MODULE_DIR)

clean:
	rm -f config.cache config.log config.status Makefile
