=== Sulfur/doc/Makefile ===
#
#  $Id: Makefile,v 1.1 1999/05/16 08:58:54 rob Exp $
#
#  The Pyrite Programmer's Guide is prepared using the SGML
#  DocBook DTD.  In order to rebuild it from source you will need the
#  following tools:
#
#    The SGML-Tools suite
#    The Jade DSSSL engine
#    A TeX installation including JadeTex
#    The DocBook stylesheet package by Norman Walsh
#
#  If you happen to be running a Debian GNU/Linux system, this stuff
#  can be found in the packages sp, jade, jadetex, and
#  docbook-stylesheets.  (There are, of course, a LOT of
#  dependencies. :-)
#

DESTDIR = /usr/local/doc/pyrite

DOCBOOK_PRINT = /usr/lib/dsssl/stylesheets/docbook/print/docbook.dsl
DOCBOOK_HTML = /usr/lib/dsssl/stylesheets/docbook/html/docbook.dsl
DOCBOOK_DCL = /usr/lib/sgml/declaration/docbook.dcl

DOC = sulfur-guide

all: dvi

# what do we want to distribute?
dist: html

# what do we put in the Debian package?
debian: html

dvi: $(DOC).dvi

ps: $(DOC).ps.gz

pdf: $(DOC).pdf

html: html/book1.html

clean:
	rm -f *.aux *.fot *.log *.out *~ *.tex

cleanall:
	rm -f *.aux *.fot *.log *.out *~ *.tex *.dvi *.ps.gz *.pdf html/*.html

# Note: there are three calls to jadetex here because that seems to
# be how many it takes to get all the page number references right!
$(DOC).dvi: $(DOC).tex
	jadetex $(DOC).tex
	jadetex $(DOC).tex
	jadetex $(DOC).tex

$(DOC).pdf: $(DOC).dvi
	pdfjadetex $(DOC).tex

$(DOC).tex: sgml/*.sgml sgml/*.ent
	jade -t tex -d $(DOCBOOK_PRINT) -o $(DOC).tex $(DOCBOOK_DCL) sgml/$(DOC).sgml

$(DOC).ps.gz: $(DOC).dvi
	dvips -o $(DOC).ps $(DOC).dvi
	gzip $(DOC).ps

html/book1.html: sgml/*.sgml sgml/general.ent
	cd html; jade -t sgml -d $(DOCBOOK_HTML) $(DOCBOOK_DCL) ../sgml/$(DOC).sgml
