=== doc/prg/Makefile ===
#
#  $Id: Makefile,v 1.4 1999/07/16 05:32:01 rob Exp $
#
#  The Pyrite Programmer's Guide is prepared using the SGML
#  DocBook DTD.  In order to rebuild it from source you will need the
#  following tools:
#
#    The SGML-Tools suite
#    The Jade DSSSL engine
#    A TeX installation including JadeTex
#    The DocBook stylesheet package by Norman Walsh
#
#  If you happen to be running a Debian GNU/Linux system, this stuff
#  can be found in the packages sp, jade, jadetex, and
#  docbook-stylesheets.  (There are, of course, a LOT of
#  dependencies. :-)
#

DESTDIR = /usr/local/doc/pyrite

DOCBOOK_PRINT = /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/print/docbook.dsl
DOCBOOK_HTML = /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl
DOCBOOK_DCL = /usr/lib/sgml/declaration/docbook.dcl

all: dvi ps

dvi: prg.dvi

ps: prg.ps.gz

pdf: prg.pdf

html: html/book1.html

clean:
	rm -f *.aux *.fot *.log *.out *~ *.tex

cleanall:
	rm -f *.aux *.fot *.log *.out *~ *.tex *.dvi *.ps.gz *.pdf html/*.html

# Note: there are three calls to jadetex here because that seems to
# be how many it takes to get all the page number references right!
prg.dvi: prg.tex
	jadetex prg.tex
	jadetex prg.tex
	jadetex prg.tex

prg.pdf: prg.dvi
	pdfjadetex prg.tex

prg.tex: prg.sgml *.sgml *.ent
	jade -t tex -d $(DOCBOOK_PRINT) $(DOCBOOK_DCL) prg.sgml

prg.ps.gz: prg.dvi
	dvips -o prg.ps prg.dvi
	gzip prg.ps

html/book1.html: prg.sgml prg-*.sgml general.ent
	cd html; jade -t sgml -d $(DOCBOOK_HTML) $(DOCBOOK_DCL) ../prg.sgml
