=== i18n/de/Makefile ===
#
format: pyrite.mo

merge: pyrite.po

pyrite.po: ../pyrite.pox
	if [ -f pyrite.po ] ; then \
	    cp pyrite.po pyrite.po.old ; \
	    $(MSGMERGE) pyrite.po ../pyrite.pox > pyrite.pox ; \
	    mv pyrite.pox pyrite.po ; \
	else \
	    cp ../pyrite.pox pyrite.po ; \
	    echo "Please translate pyrite.po now" ; \
	    exit 1 ; \
	fi

pyrite.mo: pyrite.po
	$(MSGFMT) -v -o pyrite.mo pyrite.po

install:
	-mkdir -p $(LOCALEDIR)/de/LC_MESSAGES/
	cp pyrite.mo $(LOCALEDIR)/de/LC_MESSAGES/
