=== debian/changelog ===
pyrite (0.9.3) unstable; urgency=low

  * New "upstream" release.
  * Depends: sulfur 0.1.3.

 -- Rob Tillotson <robt@debian.org>  Mon, 20 Dec 1999 04:06:52 -0600

pyrite (0.9.2) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Fri, 17 Dec 1999 18:47:46 -0600

pyrite (0.9.1) unstable; urgency=low

  * New "upstream" release.
  * Depends: sulfur 0.1.1.

 -- Rob Tillotson <robt@debian.org>  Wed,  8 Dec 1999 00:58:02 -0600

pyrite (0.9.0) unstable; urgency=low

  * New "upstream" release.
  * Added build dependency on gettext (closes: #51698)
  * Updated sulfur dependency to 0.1.0.
  * Standards-Version 3.1.0.

 -- Rob Tillotson <robt@debian.org>  Tue,  7 Dec 1999 04:25:54 -0600

pyrite (0.7.9) unstable; urgency=low

  * New "upstream" release.
  * Added Build-Depends.

 -- Rob Tillotson <robt@debian.org>  Thu,  4 Nov 1999 01:48:31 -0600

pyrite (0.7.8) unstable; urgency=low

  * New "upstream" release.
  * debian/copyright: Updated URL and license.
  * debian/control: Added Suggests: doc-base.
  * Relocated documentation to /usr/share/doc.
  * Changed to native debian package.

 -- Rob Tillotson <robt@debian.org>  Fri, 29 Oct 1999 16:46:29 -0500

pyrite (0.7.7-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Sat,  7 Aug 1999 01:53:57 -0400

pyrite (0.7.6-1) unstable; urgency=low

  * New "upstream" release.
  * Versioned dependency on sulfur.

 -- Rob Tillotson <robt@debian.org>  Mon, 26 Jul 1999 04:07:57 -0500

pyrite (0.7.5-1) unstable; urgency=low

  * New "upstream" release.
  * First version uploaded to distribution since 0.6.1 (closes: #39623)
  * Fixed Python dependencies (closes: #41333)
  * Rewrote manual pages to reflect reality (closes: #39897)
  * New pyriteconfig script (closes: #39892)
  * Standards-Version 2.5.1.

 -- Rob Tillotson <robt@debian.org>  Wed, 23 Jun 1999 01:50:08 -0500

pyrite (0.7.4-1) unstable; urgency=low

  * New "upstream" release.
  * Renamed command line utilities: pp-sync is now pyrite-sync, pp-install
    is now pyrite-install, and pp-userconfig is now pyrite-user.
  * Replaced explicit calls to install-docs in postinst and prerm with
    automatic debhelper insertions.
  * Removed no longer needed suggestion of python-tk.

 -- Rob Tillotson <robt@debian.org>  Mon, 21 Jun 1999 14:39:20 -0500

pyrite (0.7.3-1) unstable; urgency=low

  * New "upstream" release.
  * Make dependencies on python-net and python-misc non-versioned, to work
    with reorganized python packages.

 -- Rob Tillotson <robt@debian.org>  Sun, 20 Jun 1999 03:23:20 -0500

pyrite (0.7.2-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Sun,  6 Jun 1999 20:04:26 -0500

pyrite (0.7.1-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Fri, 28 May 1999 01:22:29 -0500

pyrite (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Use dh_link instead of explicit symlinks.

 -- Rob Tillotson <robt@debian.org>  Thu, 13 May 1999 02:10:06 -0500

pyrite (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Rob Tillotson <robt@debian.org>  Thu, 11 Mar 1999 02:05:54 -0600

pyrite (0.6.0-2) unstable; urgency=low

  * debian/docs: removed ChangeLog, since it is installed by
    dh_installchangelogs.  (Fixes #29092)

 -- Rob Tillotson <robt@debian.org>  Sat,  6 Feb 1999 16:54:49 -0600

pyrite (0.6.0-1) unstable; urgency=low

  * Renamed.
  * New upstream release.

 -- Rob Tillotson <robt@debian.org>  Fri, 22 Jan 1999 19:04:04 -0600

palmpython (0.5.5-1) unstable; urgency=low

  * Clean up in debian/rules. (Fixes #28402)
  * Various fixes (see the "upstream" changelog).

 -- Rob Tillotson <robt@debian.org>  Sun, 25 Oct 1998 20:49:05 -0600

palmpython (0.5.4-1) unstable; urgency=low

  * New upstream release. (Fixes #26672)

 -- Rob Tillotson <robt@debian.org>  Sun, 13 Sep 1998 00:11:18 -0500

palmpython (0.5.3-1) unstable; urgency=low

  * Changed priority to "extra".
  * New upstream release.

 -- Rob Tillotson <robt@debian.org>  Thu, 10 Sep 1998 13:56:45 -0500

palmpython (0.5.2-1) unstable; urgency=low

  * Initial Release.

 -- Rob Tillotson <robt@debian.org>  Thu, 27 Aug 1998 01:53:09 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "robt@debian.org"
End:
