=== debian/control ===
Source: pyrite
Section: otherosfs
Priority: extra
Maintainer: Rob Tillotson <robt@debian.org>
Standards-Version: 3.1.0
Build-Depends: python-base (>= 1.5.2), python-dev (>= 1.5.2), libpisock-dev (>= 0.9.3), gettext

Package: pyrite
Architecture: any
Depends: sulfur (>= 0.1.3), python-base (>= 1.5.2-4), ${shlibs:Depends}
Suggests: pilot-link, doc-base
Replaces: palmpython
Provides: palmpython
Conflicts: palmpython
Description: Palm Computing(R) platform communication kit for Python
 Pyrite is an extension package for the Python programming
 language which allows access to Palm Computing platform connected
 organizers (such as the PalmIII(tm) and PalmPilot(tm) devices
 made by 3Com).  Pyrite provides a high-level, object-oriented,
 extensible interface to data both on the handheld and on the local
 system.
 .
 Pyrite includes a set of classes which provide access to
 local and remote Palm OS(tm) databases, with support for applications
 including Address, Datebook, Memo, To Do, MoneyManager, Doc,
 and XWord.  It also includes a conduit management API and a
 set of basic conduits.
 .
 Pyrite should be considered "stable beta" software -- it
 works, but is still under active development and new features
 are being added on a regular basis.
