=== debian/rules ===
#!/usr/bin/make -f
# -*-Makefile-*-
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PP_DIR = /usr/lib/python1.5/site-packages/Pyrite
PP_REL = ../lib/python1.5/site-packages/Pyrite

build: build-stamp
build-stamp:
	dh_testdir

	./configure --enable-debian
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

# Add here commands to clean up after the build process.
	-make clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

#	ln -s $(PP_REL)/util/configsetup.py `pwd`/debian/tmp/usr/sbin/pyriteconfig
#	ln -s $(PP_REL)/util/install.py `pwd`/debian/tmp/usr/bin/pp-install
#	ln -s $(PP_REL)/util/sync.py `pwd`/debian/tmp/usr/bin/pp-sync
#	ln -s $(PP_REL)/util/palmuser.py `pwd`/debian/tmp/usr/sbin/pp-userconfig

#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/setup_user.py
#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/fetchusa.py
	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/sync.py
	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/info.py
	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/install.py
#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/user.py
#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/pdbdiff.py

#	documentation
	cp doc/prg/html/* `pwd`/debian/tmp/usr/share/doc/pyrite/html
	cp doc/prg/*.sgml doc/prg/*.ent doc/prg/Makefile `pwd`/debian/tmp/usr/share/doc/pyrite/sgml
	cp ChangeLog `pwd`/debian/tmp/usr/share/doc/pyrite/changelog.full

#	remove Sulfur, since we will use a separately installed package instead
	rm -rf `pwd`/debian/tmp/$(PP_DIR)/Sulfur

	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
	dh_undocumented pyrite-product.1 pyrite-user.1
	dh_link
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
